Resource

Scheduled Maintenance State

Manage different scheduled maintenance state to your project (Scheduled, Ongoing, Completed for example)

The Scheduled Maintenance State Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    color
    Type
    ColorRequired
    Description

    Color of this resource in Hex (#32a852 for example)

  • Name
    isScheduledState
    Type
    Boolean
    Description

    Is this state a scheduled state?

  • Name
    isOngoingState
    Type
    Boolean
    Description

    Is this state a ongoing state?

  • Name
    isEndedState
    Type
    Boolean
    Description

    Is this state a ended state?

  • Name
    isResolvedState
    Type
    Boolean
    Description

    Is this state a resolved state?

  • Name
    order
    Type
    Small Number
    Description

    Order / Priority of this resource

GETorPOST/api/scheduled-maintenance-state/get-list

List

This endpoint allows you to retrieve a paginated list of all your Scheduled Maintenance State. By default, a maximum of ten Scheduled Maintenance State are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/scheduled-maintenance-state/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "color": true,
    "name": true,
    "projectId": true,
    "slug": true,
    "_id": true
  },
  "query": {
    "name": "Example name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3779a800-28fe-11f1-b591-3fdcef396aba",
      "color": "#3498db",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slug": "Example slug"
    },
    {
      "_id": "3779a801-28fe-11f1-b591-3fdcef396aba",
      "color": "#3498db",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slug": "Example slug"
    },
    {
      "_id": "3779a802-28fe-11f1-b591-3fdcef396aba",
      "color": "#3498db",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "slug": "Example slug"
    }
  ]
}
GETorPOST/api/scheduled-maintenance-state/:id/get-item

Get item by ID

This endpoint allows you to retrieve Scheduled Maintenance State by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/scheduled-maintenance-state/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "color": true,
    "name": true,
    "projectId": true,
    "slug": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "color": "#3498db",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "slug": "Example slug"
}
POST/api/scheduled-maintenance-state/count

Count

This endpoint allows you to retrieve the count of all your Scheduled Maintenance State.

Optional Request Body

Count Request

POST
/api/scheduled-maintenance-state/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Example name"
  }
}

Response

{
  "count": 107
}
POST/api/scheduled-maintenance-state

Create Scheduled Maintenance State

This endpoint allows you to create a new object.

Create Request

POST
/api/scheduled-maintenance-state
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "color": "#3498db",
    "name": "Example name",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "color": "#3498db",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "slug": "Example slug"
}
PUT/api/scheduled-maintenance-state/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-state/:id/update-item
GET/api/scheduled-maintenance-state/:id/update-item

Update Request

PUT
/api/scheduled-maintenance-state/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "color": "#3498db",
    "name": "Example name",
    "description": "Example description"
  }
}

Response

{}
DELETE/api/scheduled-maintenance-state/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/scheduled-maintenance-state/:id/delete-item
GET/api/scheduled-maintenance-state/:id/delete-item

Delete Request

DELETE
/api/scheduled-maintenance-state/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Scheduled Maintenance State

  • Project Owner
  • Project Admin
  • Project Member
  • Read Scheduled Maintenance State
  • Read All Project Resources

Create Permissions

Required to create Scheduled Maintenance State

  • Project Owner
  • Project Admin
  • Project Member
  • Create Scheduled Maintenance State

Update Permissions

Required to update Scheduled Maintenance State

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Scheduled Maintenance State

Delete Permissions

Required to delete Scheduled Maintenance State

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Scheduled Maintenance State